Tenant Units

Manage tenant units, including listing all units, creating a new one, retrieving a specific unit, and getting the default tenant unit.

List Tenant Units

get
查询参数
pageinteger可选

default to 1 if not passing this query

Example: 1
pageSizeinteger可选

default to 10 if not passing this query

Example: 10
tenantIdstring必填Example: {{tenantId}}
头参数
X-Api-Keystring可选

the API Key

Example: {{apiKey}}
响应
chevron-right
200成功
application/json
get
/admin/api/v1/tenantUnits
200成功

Create a Tenant Unit

post
查询参数
createDefaultAgentboolean可选Example: False
createDefaultDatasetboolean可选Example: False
tenantIdstring必填Example: {{tenantId}}
头参数
X-Api-Keystring可选

the API Key

Example: {{apiKey}}
请求体
idstring可选
namestring必填
parentIdstring可选
defaultboolean可选
响应
chevron-right
200成功
application/json
idstring可选
tenantIdstring可选
namestring必填
createdTimestring可选
updatedTimestring可选
statusstring · enum可选可能的值:
parentIdstring可选
levelinteger可选Default: 0
defaultboolean可选
post
/admin/api/v1/tenantUnits
200成功

Get a Tenant Unit

get
路径参数
tenantUnitIdstring必填Example: {{tenantUnitId}}
查询参数
tenantIdstring必填Example: {{tenantId}}
头参数
X-Api-Keystring可选

the API Key

Example: {{apiKey}}
响应
chevron-right
200成功
application/json
idstring可选
tenantIdstring可选
namestring必填
createdTimestring可选
updatedTimestring可选
statusstring · enum可选可能的值:
parentIdstring可选
levelinteger可选Default: 0
defaultboolean可选
get
/admin/api/v1/tenantUnits/{tenantUnitId}
200成功

Default tenant unit

get
查询参数
tenantIdstring必填Example: {{tenantId}}
头参数
X-Api-Keystring可选

the API Key

Example: {{apiKey}}
响应
chevron-right
200成功
application/json
object可选
get
/admin/api/v1/tenantUnits/default
200成功

最后更新于

这有帮助吗?